[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FilenameIsUnixAbsolute

FilenameIsUnixAbsolute - checks that the supplied name is an absolute filename in Unix systems

## Declaration

Source position: fileutil.pas line 53

`function FilenameIsUnixAbsolute(`
`const TheFilename: String`
`):Boolean;`

## Arguments

`TheFilename` |  | The name of the file for checking

## Function result

Returns True if the supplied name is a correct Absolute file name for a Unix system

## Description

FilenameIsUnixAbsolute - checks that the supplied name is an absolute filename in Unix systems

Checks that the name is non-empty and starts with a slash

The latest version of this document can be found at lazarus-ccr.sourceforge.net.